org.apache.ignite.internal.processors.cache

## Interface IgniteCacheExpiryPolicy

All Known Implementing Classes:
  GridCacheAdapter.CacheExpiryPolicy

    public interface IgniteCacheExpiryPolicy

Wrapper for `ExpiryPolicy` used to track information about cache entries whose time to live was modified after access.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<KeyCacheObject,GridCacheVersion>` `entries()`
`long` `forAccess()`
`long` `forCreate()`
`long` `forUpdate()`
`Map<UUID,Collection<IgniteBiTuple<KeyCacheObject,GridCacheVersion>>>` `readers()`
`boolean` `readyToFlush(int cnt)`
`void` `reset()` Clears information about updated entries.
`void` `ttlUpdated(KeyCacheObject key, GridCacheVersion ver, Collection<UUID> rdrs)` Callback for ttl update on entry access.

### Method Detail

#### forCreate

    long forCreate()

Returns:
  TTL.

#### forUpdate

    long forUpdate()

Returns:
  TTL.

#### forAccess

    long forAccess()

Returns:
  TTL.

#### ttlUpdated

    void ttlUpdated(KeyCacheObject key,
                    GridCacheVersion ver,
                    @Nullable
                    Collection<UUID> rdrs)

Callback for ttl update on entry access.

Parameters:
  `key` - Entry key.
  `ver` - Entry version.
  `rdrs` - Entry readers.

#### reset

    void reset()

Clears information about updated entries.

#### readyToFlush

    boolean readyToFlush(int cnt)

Parameters:
  `cnt` - Entries count.
Returns:
  `True` if number of entries or readers is greater than given number.

#### entries

    @Nullable
    Map<KeyCacheObject,GridCacheVersion> entries()

Returns:
  Entries with TTL updated on access.

#### readers

    @Nullable
    Map<UUID,Collection<IgniteBiTuple<KeyCacheObject,GridCacheVersion>>> readers()

Returns:
  Readers for updated entries.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018